Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159126 - Firstboot: Module to add other OS partitions' entry to fstab
Summary: Firstboot: Module to add other OS partitions' entry to fstab
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: firstboot
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-30 09:56 UTC by Prasad H. L.
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-12-02 19:42:27 UTC


Attachments (Terms of Use)
Other OS partition access - Python module for Firstboot (deleted)
2005-05-30 09:56 UTC, Prasad H. L.
no flags Details
Modified Create User Python Module (deleted)
2005-05-30 10:01 UTC, Prasad H. L.
no flags Details

Description Prasad H. L. 2005-05-30 09:56:39 UTC
I've developed a firstboot python module which can   
detect other OS(currently only windows) partitions and   
add entries to the fstab. It also creates a user group   
which has access to those partitions. 
   
The version of firstboot is 1.3.33-2. 
 
Also, I've modified create_user.py file so that, the new user being created 
gets added to the new user user group created by the above module. (Obviously, 
create_user.py module must be run after the above new module).  
I don't know how to attach multiple files in this bugzilla form. So, I'm 
sending this create_user.py in the next mail

Comment 1 Prasad H. L. 2005-05-30 09:56:39 UTC
Created attachment 114967 [details]
Other OS partition access - Python module for Firstboot

Comment 2 Prasad H. L. 2005-05-30 10:01:29 UTC
Created attachment 114968 [details]
Modified Create User Python Module

Comment 3 Chris Lumens 2005-12-02 19:42:27 UTC
Thank you for the patch.  At this time, editing /etc/fstab to add partitions for
other operating systems should be getting handled by HAL.  See the man page for
fstab-sync for more information on this.  If it is not happening, this is a
problem with HAL and should be filed as a bug against that component.


Note You need to log in before you can comment on or make changes to this bug.